# $Revision: 1.19 $, $Date: 2006/11/07 22:26:36 $
Summary:	GTK+2 program for creating CDs and DVDs
Summary(pl):	Oparty o GTK+2 program do tworzenia pyt CD i DVD
Name:		graveman
Version:	0.3.12.5
%define	fver	0.3.12-5
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://graveman.tuxfamily.org/sources/%{name}-%{fver}.tar.bz2
# Source0-md5:	c9c80782282c6699effa91d1a806723b
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-locale-names.patch
URL:		http://graveman.tuxfamily.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flac-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libid3tag-devel >= 0.15
BuildRequires:	libmad-devel >= 0.15
BuildRequires:	libmng-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.177
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GRAVEMAN is a frontend for cdrtools (cdrecord, readcd, mkisofs),
dvd+rw-tools and sox.

%description -l pl
GRAVEMAN jest nakadk na cdrtools (cdrecord, readcd, mkisofs),
dvd+rw-tools i sox.

%prep
%setup -q -n %{name}-%{fver}
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post
%banner %{name} -e << EOF
Suggested packages for use with graveman:
for CD recording
- cdrdao
- cdrtools
- cdrtools-mkisofs
- cdrtools-readcd
for DVD recording
- dvd+rw-tools
for operations on audio files
- sox
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%lang(fr) %doc README.fr 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: graveman.spec,v $
Revision 1.19  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.18  2006/07/01 18:44:36  dzeus
- up to 0.3.12.5, removed obsoleted patches

Revision 1.17  2006/05/15 20:43:56  jareq
- added graveman-membug.patch (taken from Fedora)
- rel 4

Revision 1.16  2005/10/05 20:47:14  freetz
- added Makefile_cleanup patch, rel.3

Revision 1.15  2005/08/09 15:11:12  charles
- fixed %%files (_mandir)
- rel. 2, STBR

Revision 1.14  2005/06/14 18:06:23  charles
- updated to 0.3.12.4
- updated -desktop.patch, STBR

Revision 1.13  2005/05/29 11:54:41  dzeus
- up to 0.3.12.3

Revision 1.12  2005/05/17 08:33:50  freetz
- 0.3.12

Revision 1.11  2005/05/05 11:25:41  charles
- BR: intltool, libmng-devel

Revision 1.10  2005/05/05 07:11:49  paladine
- updated to 0.3.11
- added locale patch

Revision 1.9  2005/04/13 13:16:21  paladine
- s/GTK/GTK+2/

Revision 1.8  2005/04/12 21:27:47  freetz
- fixed description

Revision 1.7  2005/04/12 21:26:33  freetz
- 0.3.10-2, unpackaged man files (waiting for next release)

Revision 1.6  2005/04/02 08:44:34  freetz
- 0.3.9, updated: BRs, %%banner

Revision 1.5  2005/03/27 14:58:08  paladine
- missing BR
- license unification

Revision 1.4  2005/03/27 14:17:21  freetz
- do not force to use sox as well, updated %%banner

Revision 1.3  2005/03/25 12:51:55  freetz
- free choice - removed Rs, added %%banner support, thanks for paladine for
  pointing me unknown rpm features ;), rel.2

Revision 1.2  2005/03/19 13:10:11  freetz
- sourcenull http source

Revision 1.1  2005/03/19 12:58:53  freetz
- nice burning program for GNOME

